Parmi les utilisateurs d’applications .Net sous linux, rien n’est plus frustrant que l’erreur suivante:

Missing method System.Type::op_Inequality(Type,Type) in assembly /usr/lib/mono/2.0/mscorlib.dll, referenced in assembly /usr/lib/mono/gac/gtk-sharp/2.12.0.0__35e10195dab3c99f/gtk-sharp.dll

La raison fréquente d’une telle erreur est que vous tentez de lancer une application .Net 4.0 dans un environnement .Net 2.0

Que faire face à ceci? Vous avez déjà essayé d’ajouter –runtime=4.0 dans votre commande, mais mono prétend de ne posséder cette version, comme il vous l’indique avec cet avertissement:

WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v2.0.50727

Je viens de trouver qu’il ne faut pas utiliser –runtime=4.0 mais –runtime=v4.0.30319 sur debian avec mono 2.10.8.
Bonne chance pour la suite.

Publicités